com.impinj.stp

## Interface StpApi.SerializationJobFiltersOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.SerializationJobFilters, StpApi.SerializationJobFilters.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.SerializationJobFiltersOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Filter` | `getEpcFilters(int index)`
    `int` | `getEpcFiltersCount()`
    `java.util.List<StpApi.Filter>` | `getEpcFiltersList()`
    `StpApi.FilterOrBuilder` | `getEpcFiltersOrBuilder(int index)`
    `java.util.List<? extends StpApi.FilterOrBuilder>` | `getEpcFiltersOrBuilderList()`
    `StpApi.Filter` | `getTidFilters(int index)`
    `int` | `getTidFiltersCount()`
    `java.util.List<StpApi.Filter>` | `getTidFiltersList()`
    `StpApi.FilterOrBuilder` | `getTidFiltersOrBuilder(int index)`
    `java.util.List<? extends StpApi.FilterOrBuilder>` | `getTidFiltersOrBuilderList()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getTidFiltersList

          java.util.List<StpApi.Filter> getTidFiltersList()

    - #### getTidFilters

          StpApi.Filter getTidFilters(int index)

    - #### getTidFiltersCount

          int getTidFiltersCount()

    - #### getTidFiltersOrBuilderList

          java.util.List<? extends StpApi.FilterOrBuilder> getTidFiltersOrBuilderList()

    - #### getTidFiltersOrBuilder

          StpApi.FilterOrBuilder getTidFiltersOrBuilder(int index)

    - #### getEpcFiltersList

          java.util.List<StpApi.Filter> getEpcFiltersList()

    - #### getEpcFilters

          StpApi.Filter getEpcFilters(int index)

    - #### getEpcFiltersCount

          int getEpcFiltersCount()

    - #### getEpcFiltersOrBuilderList

          java.util.List<? extends StpApi.FilterOrBuilder> getEpcFiltersOrBuilderList()

    - #### getEpcFiltersOrBuilder

          StpApi.FilterOrBuilder getEpcFiltersOrBuilder(int index)